> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Refund

Creates a new Refund against an existing transaction. There are two supported methods for an API call:

* [**Refunds** Endpoint](#section_d44_3v2_gsb)
* [**Transactions** Endpoint](#section_nnt_vv2_gsb)

**Note:** Existing merchants can continue using **Transactions** endpoint. New merchants are encouraged to use **Refunds** endpoint.

## Refunds Endpoint

This is the recommended to perform a refund.

## HTTP Request

`POST https://api.vindicia.com/refunds`

## Route (URL) Parameters

None.

## Query Parameters

None.

## Accepts

JSON - A full [Refund](The_Refund_object) object.

**Note:**

* Transaction details are required as part of the Refund object.
* A refund amount is required. If an amount is not provided or provided as 0, the full transaction amount will be refunded.
* If tax calculation for a refund is desired, use the [`refund_distribution_strategy`](The_Refund_object), `SpecifiedItems` or `RemainingBalance` options. If `refund_distribution_strategy` is defaulted or set to "None", tax calculation is not performed.

## Returns

JSON - A full [Refund](Refunds) object.

## Example Request

```
 
curl -X POST \
 -u acaff38d462f9430d5cbcbaf:a575771fc679b9de \  
 -d '{
    "object": "Refund",
    "id": "FLX200001541REF",
    "amount": 14.99,
    "amount_includes_tax": false,
    "currency": "USD",
    "note": "Refund REQUEST VIA WEB FLX200001541REF",
    "token_action": "None"
	"transaction": {
        "object": "Transaction",
        "id": "Czvu3tkV_1D-4nC3vQp4",
        "amount": 14.99,
        "currency": "USD",
 	}
}'"https://api.staging.us-west.vindicia.com/refunds"

```

## Transactions Endpoint

This is supported for existing Subscribe Customers. The Refunds endpoint above is the preferred and should be used for new implementations.

## HTTP Request

`POST https://api.vindicia.com/transactions/:transaction/refunds`

**Note:** This endpoint allows you to create a refund associated with a transaction.

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| transaction | n/a | The **id** or the **vid** of the Transaction | Yes |

## Query Parameters

None.

## Accepts

JSON - A full [Refund](Refunds) object.

**Note:** A refund amount is required. If an amount is not provided or provided as 0, the full transaction amount will be refunded.

## Returns

JSON - A full [Refund](Refunds) object.

## Example Request

```
 
curl -X POST \
 -u acaff38d462f9430d5cbcbaf:a575771fc679b9de \  
 -d '{
    "object": "Refund",
    "id": "FLX200001541REF",
    "refund_distribution_strategy": "None",
    "amount": 14.99,
    "amount_includes_tax": false,
    "currency": "USD",
    "note": "Refund REQUEST VIA WEB FLX200001541REF",
    "token_action": "None"
}'"https://api.staging.us-west.vindicia.com/transactions/FLX200001541/refunds"
```

**Parent topic:**[Refunds](../topics/Refunds)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.